dim gws, gfs 
set gws = CreateObject("Wscript.Shell")
set gfs = CreateObject("Scripting.FileSystemObject")

FLD_HOME = gfs.getParentFolderName(wscript.scriptFullName) 
FLD_COLORS = gfs.buildPath(FLD_HOME, "colors")
FLD_PALETTES = gfs.buildPath(FLD_HOME, "Palettes")


Function BrowseForFile()
on error resume next
    Dim shell : Set shell = CreateObject("Shell.Application")
    Dim file : Set file = shell.BrowseForFolder(0, "Choose a palette:", &H240, FLD_PALETTES)
    BrowseForFile = file.ParentFolder.ParseName(file.Title).Path
	
End Function

dim palettePath
palettePath = ""
palettePath = BrowseForFile

if not palettePath = "" then

	set colorsFolder = gfs.getFolder(FLD_COLORS) 
	for each colorFile in colorsFolder.files
		if gfs.getExtensionName(colorFile.path) = "png" then
			gfs.deleteFile colorFile.path
		end if
	next

	set paletteFolder = gfs.getFolder(palettePath) 
	for each paletteFile in paletteFolder.files
		if gfs.getExtensionName(paletteFile.path) = "png" then
			gfs.copyFile paletteFile.path, FLD_COLORS & "\"
		end if
	next

end if