dim gws, gfs 
set gws = CreateObject("Wscript.Shell")
set gfs = CreateObject("Scripting.FileSystemObject")

FLD_HOME = gfs.getParentFolderName(wscript.scriptFullName) 
FLD_COLORS = gfs.buildPath(FLD_HOME, "colors")
FLD_PALETTES = gfs.buildPath(FLD_HOME, "Palettes")


dim paletteName, palettePath, i

paletteName = trim(inputBox("Enter palette name:", "Save Palette"))
if paletteName = "" then
	paletteName = "New palette"
end if
palettePath = gfs.buildPath(FLD_PALETTES, paletteName)

i = 2
do while gfs.folderExists(palettePath)
	palettePath = gfs.buildPath(FLD_PALETTES, paletteName & " (" & i &")")
	i = i + 1
loop

set newfolder = gfs.createFolder(palettePath) 

set colorsFolder = gfs.getFolder(FLD_COLORS) 
for each colorFile in colorsFolder.files
	if gfs.getExtensionName(colorFile.path) = "png" then
		gfs.copyFile colorFile.path, palettePath & "\"
	end if
next
