dim gws, gfs 
set gws = CreateObject("Wscript.Shell")
set gfs = CreateObject("Scripting.FileSystemObject")

FLD_HOME = gfs.getParentFolderName(wscript.scriptFullName) 
FLD_COLORS = gfs.buildPath(FLD_HOME, "colors")
FLD_PALETTES = gfs.buildPath(FLD_HOME, "Palettes")


inputString=inputBox("Enter 6 digit RGB hex codes separated with spaces", "Add Colors", "0078D7 111111 555555 777777 999999")

dim re
set re = new RegExp

re.Global = true
re.Pattern = "[^a-f0-9]"
re.IgnoreCase = True

dim hs, colors
hs = re.Replace(inputString, " ")
re.Pattern = " +"
colors = trim(re.Replace(hs, " "))

'msgbox colors

for each color in split(colors, " ")
	set img = createObject("ImageMagickObject.MagickImage.1")
	msgs = img.convert("-size","100x100", "xc:#" & color, gfs.buildPath(FLD_COLORS, color & ".png"))
next
